* {
  box-sizing: border-box;
}
body {
  font-family: "Roboto", sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f1f1f1;
}

.form {
  margin: 40px auto;
  width: 400px;
  height: auto;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 10px;
  box-shadow: -7px 17px 24px -12px rgba(0, 0, 0, 0.55);
}

.form-header {
  padding: 10px;
  text-align: center;
  margin-top: 40px;
  color: #333;
}

.form-body {
  padding: 10px 20px;
}

.form-group {
  width: 100%;
  height: auto;
  padding: 4px 0 4px 0;
}

.form-group label {
  display: block;
  font-size: 12px;
  color: #333;
  margin-bottom: 10px;
}

.form-group input {
  width: 100%;
  height: 40px;
  padding: 5px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 16px;
  outline: none;
  border-radius: 5px;
  border: 1px solid #2c3e50;
}

.form-group a {
  float: right;
  margin-bottom: 10px;
  text-decoration: none;
}

.sidebar {
  width: 250px;
  height: 100vh;
  background-color: #2980b9;
  position: fixed;
}

.sidebar .sidebar-header {
  padding: 10px;
  text-align: center;
  color: #fff;
  font-weight: bold;
  font-size: 20px;
}

.sidebar .sidebar-title {
  padding: 10px;
  text-align: center;
  color: #fff;
  font-weight: bold;
  font-size: 16px !important;
}

.sidebar .sidebar-body {
  padding: 10px 0px 10px 10px;
}

.sidebar .sidebar-body i {
  margin-left: 10px;
  margin-right: 10%;
}

.sidebar .sidebar-body a {
  display: block;
  color: #fff;
  font-weight: bold;
  font-size: 16px;
  padding: 10px;
  text-decoration: none;
}

.sidebar .sidebar-body a.active {
  background-color: #ecf0f1;
  color: #2c3e50;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
}
.sidebar .sidebar-body a.logout {
  color: #c0392b;
}

.content {
  margin-left: 250px;
  padding: 1px 16px;
  height: auto;
  background-color: #ecf0f1;
}

.btn {
  width: 100%;
  padding: 10px;

  font-size: 18px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  border: none;
}

.btn-primary {
  background-color: #3498db;
  color: #fff;
}

.group-card {
  border-radius: 5px;
  background-color: #fff;
  padding: 10px;
  width: 100%;
  height: auto;
  margin-bottom: 10px;
}

.group-card .body {
  width: auto;
  height: auto;
}

.group-card .form-container {
  display: flex;
}

.group-card .title {
  font-size: 20px;
  font-weight: bold;
}

.form-group {
  margin-right: 10px;
}

input {
  border-radius: 2px !important;
}

select {
  width: 100%;
  height: 40px;
  padding: 5px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 16px;
  outline: none;
  border-radius: 5px;
  border: 1px solid #2c3e50;
}

.tablinks {
  outline: none;
  border: none;
  font-size: 12px;
  padding: 10px;
  border-radius: 4px;
}

.tabcontent {
  display: none;
}

.tab button:hover {
  background-color: #ddd;
}

.tab button.active {
  border-bottom: #3498db 5px solid;
  color: #3498db;
}

/* New CSS for charts */
.personal-information img {
  width: 200px;
  height: 200px;
}

.student_informations {
  display: grid;
  column-gap: 1rem;
  grid-template-columns: repeat(2, 1fr);
}

.student_informations > .personal {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 1rem;
}

.student_informations > .personal > h3 {
  grid-column: 1 / 3;
}

.family_background,
.education > *,
.additional {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.family_background > h3,
.additional > h3 {
  grid-column: 1 / 4;
}

.charts {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}


.error-container {
  position: fixed;
  bottom: 20px;
  right: 20px;

  z-index: 1000;
}

.error {
  margin-top: 10px;
}